## org.apache.mahout.math.jet.random
Class VonMises

    java.lang.Object
      org.apache.mahout.math.PersistentObject
          org.apache.mahout.math.jet.random.AbstractDistribution
              org.apache.mahout.math.jet.random.AbstractContinousDistribution
                  org.apache.mahout.math.jet.random.VonMises

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.apache.mahout.math.function.DoubleFunction, IntFunction, UnaryFunction

Deprecated. until unit tests are in place. Until this time, this class/interface is unsupported.

    @Deprecated
    public class VonMises

extends AbstractContinousDistribution

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`randomGenerator`

Constructor Summary
`VonMises(double freedom, java.util.Random randomGenerator)` Deprecated. Constructs a Von Mises distribution.

Method Summary
`double` `nextDouble()` Deprecated. Returns a random number from the distribution.
`double` `nextDouble(double k)` Deprecated. Returns a random number from the distribution; bypasses the internal state.
`void` `setState(double k)` Deprecated. Sets the distribution parameter.
`static double` `staticNextDouble(double freedom)` Deprecated. Returns a random number from the distribution.
`java.lang.String` `toString()` Deprecated. Returns a String representation of the receiver.

Methods inherited from class org.apache.mahout.math.jet.random.AbstractContinousDistribution
`cdf, nextInt, pdf`

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`apply, apply, getRandomGenerator, setRandomGenerator`

Methods inherited from class org.apache.mahout.math.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VonMises

    public VonMises(double freedom,
                    java.util.Random randomGenerator)

  Deprecated.
  Constructs a Von Mises distribution. Example: k=1.0.

  Throws:
    `java.lang.IllegalArgumentException` - if `k <= 0.0`.

Method Detail

### nextDouble

    public double nextDouble()

  Deprecated.
  Returns a random number from the distribution.

  Specified by:
    `nextDouble` in class `AbstractDistribution`
  Returns:
    A new sample from this distribution.

### nextDouble

    public double nextDouble(double k)

  Deprecated.
  Returns a random number from the distribution; bypasses the internal state.

  Throws:
    `java.lang.IllegalArgumentException` - if `k <= 0.0`.

### setState

    public void setState(double k)

  Deprecated.
  Sets the distribution parameter.

  Throws:
    `java.lang.IllegalArgumentException` - if `k <= 0.0`.

### staticNextDouble

    public static double staticNextDouble(double freedom)

  Deprecated.
  Returns a random number from the distribution.

  Throws:
    `java.lang.IllegalArgumentException` - if `k <= 0.0`.

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a String representation of the receiver.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.